package com.tzld.piaoquan.tencentad.utils;

import java.time.Instant;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.time.format.DateTimeFormatter;

public class DateUtils {

    public static String getDateString(Long timestamp, String pattern) {
        // 创建日期时间格式化器
        DateTimeFormatter dateFormat = DateTimeFormatter.ofPattern(pattern);
        // 将时间戳转换为 LocalDateTime
        ZoneId zone = ZoneId.of("Asia/Shanghai");
        LocalDateTime dateTime = LocalDateTime.ofInstant(Instant.ofEpochMilli(timestamp), zone);
        // 格式化日期时间并返回
        return dateTime.format(dateFormat);
    }

    public static String getDayDateString(String pattern) {
        DateTimeFormatter dateFormat = DateTimeFormatter.ofPattern(pattern);
        LocalDate today = LocalDate.now();
        return dateFormat.format(today);
    }
}
